.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;

    &__header {
        z-index: 1200;
        position: relative;
    }

    &__main {
        flex-grow: 1;
        padding: rem(40) 0;
    }
}

.main {
    padding-bottom: rem(60);
}

.primary {
    max-width: 100%;
    position: relative;
    text-align: center;

    &__main {
        z-index: 20;
        position: relative;
        padding: rem(40) 0;
    }

    &__content {
        margin-bottom: rem(40);
    }

    &__header {
        color: #050505;
        font-weight: 700;
        font-size: rem(30);
        line-height: rem(48);
        margin-bottom: rem(12);
    }

    &__text {
        font-weight: 400;
        font-size: rem(20);
        line-height: rem(32);
        margin-bottom: rem(24);
    }

    &__buttons {
        margin-bottom: rem(24);

        &--item {
            margin-bottom: rem(10);
        }
    }

    &__note {
        color: #050505;
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(21);
    }

    &__media {
        width: rem(280);
        margin: 0 auto;
    }

    &__bg {
        z-index: 1;
        display: none;
    }

    @include media-breakpoint-up(md) {

        &__main {
            padding: rem(60) 0;
        }

        &__header {
            font-size: rem(48);
            line-height: rem(72);
        }

        &__media {
            width: rem(415);
            flex-shrink: 0;
        }

        &__content {
            text-align: left;
            width: rem(770);
            margin-bottom: 0;
        }

        &__buttons {
            display: flex;
            align-items: center;
            justify-content: center;


            &--item {
                margin-bottom: 0;

                &:first-child {
                    margin-right: rem(12);
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__main {
            padding-top: rem(248);
            padding-bottom: rem(248);
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__buttons {
            justify-content: flex-start;
        }

        &__bg {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            display: block;
            position: absolute;
            overflow: hidden;

            &--image {
                top: 0;
                width: 2155px;
                position: absolute;
                left: calc(50% - 1000px);
            }
        }

        &__media {
            margin: 0 rem(50) 0 0;
        }
    }
}

.vendors {
    padding: rem(50) 0;

    &__header {
        color: #021106;
        text-align: center;
        font-weight: 500;
        font-size: rem(24);
        line-height: rem(36);
        margin-bottom: rem(24);
    }

    &__main {
        margin: 0 rem(-10);
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
    }

    &__item {
        width: 50%;
        flex-shrink: 0;
        padding: rem(10);
    }

    @include media-breakpoint-up(md) {

        &__header {

            strong {
                display: block;
            }
        }

        &__item {
            width: 33.33%;
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: 0;
        padding-bottom: rem(140);

        &__header {
            margin-bottom: rem(50);
        }

        &__main {
            margin: 0;
            display: grid;
            grid-column-gap: rem(20);
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
        }

        &__item {
            width: auto;
            padding: 0;
        }
    }
}

.copywriting {
    padding: rem(50) 0;

    &__header {
        color: #050505;
        font-weight: 700;
        font-size: rem(32);
        line-height: rem(48);
        margin-bottom: rem(32);

        &--gradient {
            color: $blue;
        }
    }

    &__main {
        display: grid;
        grid-row-gap: rem(40);
        grid-column-gap: rem(36);
        grid-template-columns: 1fr;
    }

    @include media-breakpoint-up(md) {

        &__main {
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(lg) {
        padding-bottom: rem(100);
    }

    @include media-breakpoint-up(xl) {
        display: flex;
        align-items: center;
        justify-content: space-between;

        &__header {
            margin-bottom: 0;
        }

        &__main {
            width: rem(880);
            flex-shrink: 0;
        }
    }
}

.step {
    overflow: hidden;
    position: relative;

    &__media {
        width: 156px;
        height: 140px;
        position: relative;
        background: #F2F5F7;
        border-radius: 10px;
        font-size: 0;
        line-height: 0;
        margin-bottom: 20px;
    }

    &__image {
        top: -27px;
        right: 52px;
        height: 195px;
        position: absolute;
    }

    &__content {
        font-size: 14px;
        line-height: 21px;
    }

    &__title {
        font-weight: 700;
        font-size: 18px;
        line-height: 27px;
    }

    &__text {

    }

    @include media-breakpoint-up(sm) {
        min-height: 140px;
        padding: rem(20) 0 rem(20) 110px;
        display: flex;
        align-items: center;

        &__media {
            left: 0;
            margin-bottom: 0;
            top: calc(50% - 70px);
            position: absolute;
        }

        &__content {
            z-index: 50;
        }
    }

    @include media-breakpoint-up(lg) {
        padding-left: rem(134);
    }
}

.helps {
    padding: rem(50) 0;

    &__header {
        font-weight: 700;
        font-size: rem(36);
        line-height: rem(54);
        margin-bottom: rem(6);
        text-align: center;
    }

    &__subtitle {
        font-weight: 400;
        font-size: rem(14);
        line-height: rem(21);
        margin-bottom: rem(50);
        text-align: center;
    }

    &__main {
        display: grid;
        grid-row-gap: rem(38);
        grid-column-gap: rem(30);
        grid-template-columns: 1fr;
    }

    &__item {
        padding: rem(28);
        position: relative;
        background: #F2F5F7;
        border-radius: 10px;
    }

    &__media {
        margin-bottom: rem(10);
    }

    &__icon {

    }

    &__content {

        color: #393939;
        font-size: 14px;
        line-height: 21px;
    }

    &__title {
        font-weight: 700;
        font-size: 18px;
        line-height: 27px;
    }

    &__text {

    }

    @include media-breakpoint-up(sm) {
        position: relative;

        &__item {
            display: flex;
            align-items: center;
            padding: rem(20) rem(20) rem(20) rem(134);
        }

        &__media {
            left: 0;
            top: 0;
            bottom: 0;
            margin: 0;
            width: rem(100);
            position: absolute;
            display: flex;
            align-items: center;
            justify-content: flex-end;
        }

        &__content {
            width: 100%;
            max-width: rem(210);
        }
    }

    @include media-breakpoint-up(md) {

        &__main {
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(lg) {

        &__header {
            font-size: rem(42);
            line-height: rem(63);
        }
    }

    @include media-breakpoint-up(xl) {
        padding-bottom: rem(120);

        &__main {
            grid-column-gap: rem(55);
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__item {
            min-height: rem(124);
            padding-left: rem(154);
        }

        &__media {
            width: rem(126);
        }
    }

    @include media-breakpoint-up(xxl) {
        margin: 0 rem(-9);
    }
}

.works {
    padding: rem(50) 0 rem(80) 0;

    &__header {
        font-weight: 700;
        font-size: rem(36);
        line-height: rem(54);
        margin-bottom: rem(40);
        text-align: center;
    }

    &__main {

    }

    &__step {
        color: #393939;
        font-weight: 400;
        font-size: rem(14);
        line-height: rem(21);
        margin-bottom: rem(60);

        &:last-child {
            margin-bottom: rem(10);
        }
    }

    &__media {
        margin: 0 auto;
        width: rem(280);
        position: relative;
    }

    &__image {
        z-index: 10;
        position: relative;
    }

    &__bg {
        left: calc(50% - 850px);
        top: -200px;
        z-index: 1;
        width: rem(1400);
        position: absolute;
    }

    &__content {
        text-align: center;
        margin-bottom: rem(24);
    }

    &__num {
        color: #393939;
        width: rem(48);
        height: rem(48);
        font-weight: 700;
        font-size: rem(20);
        line-height: rem(30);
        background: #F2F5F7;
        border-radius: rem(10);
        margin-bottom: rem(12);
        display: inline-flex;
        align-items: center;
        justify-content: center;
    }

    &__title {
        font-weight: 700;
        font-size: rem(20);
        line-height: rem(30);
    }

    &__text {

    }

    @include media-breakpoint-up(md) {

        &__media {
            width: rem(415);
        }
    }

    @include media-breakpoint-up(lg) {

        &__header {
            font-size: rem(42);
            line-height: rem(63);
            margin-bottom: rem(80);
        }

        &__media {
            margin: 0;
            width: rem(415);
            flex-shrink: 0;
            order: 1;
        }

        &__step {
            display: flex;
            align-items: center;
            justify-content: center;

            &:nth-child(2) {

                .works {

                    &__content {
                        order: 1;
                        text-align: right;
                        margin-left: 0;
                        margin-right: rem(140);
                    }

                    &__media {
                        order: 2;
                    }
                }
            }
        }

        &__content {
            margin-left: rem(140);
            width: rem(320);
            text-align: left;
            margin-bottom: 0;
            order: 2;
            flex-shrink: 0;
        }

        &__bg {
            width: rem(2155);
            top: -380px;
            left: calc(50% - 1300px);
        }
    }

    @include media-breakpoint-up(xl) {
        padding-bottom: rem(180);
    }
}

.plan {
    padding-top: rem(50);
    padding-bottom: rem(60);

    &__header {
        font-weight: 700;
        font-size: rem(36);
        line-height: rem(54);
        text-align: center;
        margin-bottom: rem(20);
    }

    &__subtitle {
        color: #393939;
        max-width: rem(310);
        font-size: rem(14);
        line-height: rem(21);
        text-align: center;
        margin: 0 auto rem(40) auto;
    }

    &__item {
        padding: rem(50);
        overflow: hidden;
        position: relative;
        text-align: center;
        border-radius: 20px;
        margin-bottom: rem(40);

        &--white {
            color: #191A15;
            background: $white;
            box-shadow: 0px 4px 9px rgba(0, 0, 0, 0.05);

            .plan {

                &__text {
                    color: #A6A6A6;
                    margin-bottom: rem(32);
                }
            }
        }

        &--blue {
            color: $white;
            background: #348FE2;

            &:before {
                z-index: 1;
                top: 146px;
                left: calc(50% - 300px);
                content: '';
                width: 600px;
                height: 600px;
                border-radius: 50%;
                position: absolute;
                background: #3185D2;
            }
        }
    }

    &__wrap {
        z-index: 20;
        position: relative;
    }

    &__title {
        font-weight: 600;
        font-size: rem(30);
        line-height: rem(45);
    }

    &__text {
        font-weight: 500;
        font-size: rem(18);
        line-height: rem(27);
        margin-bottom: rem(24);
    }

    &__price {
        font-size:  rem(14);
        line-height: rem(30);
        display: flex;
        align-items: flex-end;
        justify-content: center;
        margin-bottom: rem(16);
        font-family: $font-family-third;

        &--value {
            font-weight: 600;
            font-size: rem(50);
            line-height: rem(50);
        }

        &--label {
            padding-left: rem(8);
        }
    }

    @include media-breakpoint-up(lg) {

        &__header {
            font-size: rem(42);
            line-height: rem(63);
        }

        &__subtitle {
            margin-bottom: rem(56);
        }

        &__item {
            margin-bottom: 0;
            width: calc(33.33% - 14px);
        }

        &__main {
            max-width: 1180px;
            margin: 0 auto;
            display: flex;
    //        align-items: center;
            justify-content: space-between;
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: 0;

        &__item {
            width: 374px;
        }
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
